Subject: Re: [PATCH] diff --stat: add config option to limit filename width

From: Junio C Hamano <[email-masked]>
Date: Tue, 12 Sep 2023 10:11:40 -0700

Dragan Simic <[email-masked]> writes:

>> Someday, as a follow-up after the dust from this topic settles, we
>> would probably want to look at how these rev.diffopt.* members are
>> initialized and refactor the common code out to a helper.  It would
>> allow us to instead of doing this ...
>
> Another good point.  If you agree, I'd prefer to have my patch
> accepted and merged as-is, ...

That is exactly what I meant by "follow-up after the dust settles".

All of the "we should probably do this and that in the future" are
called #leftoverbits comments.  Food for thought, something people
can use to find inspiration for areas they may want to work on, that
has no impact to how "complete" the current patch being discussed
is.